/* Extends */

// Resets

//// Margin/padding reset

%reset {
    margin: 0;
    padding: 0;
}

//// Resets list horizontal

%list_reset {
    &,
    & ul,
    & li {
        list-style: none;
        @extend %reset;
    }

    & li {
        display: block;
        float: left;
    }
}

//// Resets list vertical

%list_reset_light {
    &,
		& ul,
		& li {
        list-style: none;
        @extend %reset;
    }
}

// Center element

%center {
    margin: {
        right: auto;
        left: auto;
    }
}

%center-translate {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

// Border box

%borderBox {
    box-sizing: border-box;
}

// Inline icons

%before-icon {
    display: inline-block;
    margin-right: 0.45em;
}

%after-icon {
    display: inline-block;
    margin-left: 0.45em;
}